<?php
require_once "global.php";

$conexion=new mysqli(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME);
mysqli_query($conexion, 'SET NAMES "'.DB_ENCODE.'"');

//si tenemos un posible error en la cadena de conexion
if(mysqli_connect_errno())
{
  printf("Falló la conexion a la base de datos: %s\n",mysqli_connect_error());
  exit();

}

//si tenemos un posible error en la cadena de conexion
// if ($conexion->connect_errno) {
//   printf("Falló la conexión a la base de datos: %s\n", $conexion->connect_error);
//   exit();
// } else {
//   // Conexión exitosa, puedes continuar con la transacción.
//   $conexion->begin_transaction();
// }

if(!function_exists('ejecutarConsulta'))
{
  function ejecutarConsulta($sql)
  {
    global $conexion;
    $query = $conexion->query($sql);
    return $query;
  }
  function ejecutarConsultaSimpleFila($sql)
  {
    global $conexion;
    $query = $conexion->query($sql);
    $row=$query->fetch_assoc();
    return $row;
  }
  function ejecutarConsulta_retornarID($sql)
  {
    global $conexion;
    $query = $conexion->query($sql);
    return $conexion->insert_id;
  }
  function limpiarCadena($str)
  {
    global $conexion;
    $str = mysqli_real_escape_string($conexion,trim($str));
    return htmlspecialchars($str);
  }
  // Función para ejecutar consultas y devolver resultados como array asociativo
  function ejecutarConsultaArray($sql, $conexion)
  {
      $result = $conexion->query($sql);
      $data = [];
      while ($row = $result->fetch_assoc()) {
          $data[] = $row;
      }
      return $data;
  }

}